﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

html,
body,
main {
    padding: 0;
    margin: 0;
    height: 100%;
    overflow: hidden;
}

img {
    max-width: 100%;
    max-height: 100%;
}

losmenu {
    padding: 1em;
}

#viewDiv {
    padding: 0;
    margin: 0;
    height: 90vh;
    min-height: 100%;
    width: 100%;
}

#infoDiv {
    position: absolute;
    top: 65px;
    left: 50px;
}

    #infoDiv input {
        border: none;
        box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 2px;
    }

#myProfile {
    padding: 10px;
    background-color: #242424;
    width: 300px;
    color: white;
}

#timeSlider {
    position: absolute;
    left: 5%;
    right: 5%;
    bottom: 20px;
}

#topbar {
    background: #000;
    padding: 2px;
}

.action-button {
    font-size: 16px;
    background-color: transparent;
    border: 1px solid #d3d3d3;
    color: #6e6e6e;
    height: 32px;
    width: 32px;
    text-align: center;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.3);
}

    .action-button:hover,
    .action-button:focus {
        background: #0079c1;
        color: #e4e4e4;
    }

.active {
    background: #0079c1;
    color: #e4e4e4;
}

#topbar3d {
    background: transparent;
    padding: 2px;
}

.action-button {
    font-size: 16px;
    background-color: transparent;
    border: 1px solid #d3d3d3;
    color: #6e6e6e;
    height: 32px;
    width: 32px;
    text-align: center;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.3);
}

    .action-button:hover,
    .action-button:focus {
        background: #0079c1;
        color: #e4e4e4;
    }

.active {
    background: #0079c1;
    color: #e4e4e4;
}


.wrapper {
    position: relative;
    background-color: #242424;
}

.container {
    position: absolute;
    width: 80%;
}

input[type="range"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 100%;
    outline: none;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    background-color: transparent;
    pointer-events: none;
}

.slider-track {
    background-color: #ADADAD;
    width: 100%;
    height: 5px;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    border-radius: 5px;
}

input[type="range"]::-webkit-slider-runnable-track {
    -webkit-appearance: none;
    height: 5px;
}

input[type="range"]::-moz-range-track {
    -moz-appearance: none;
    height: 5px;
}

input[type="range"]::-ms-track {
    appearance: none;
    height: 5px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 1.7em;
    width: 1.7em;
    background-color: #3264fe;
    cursor: pointer;
    margin-top: -9px;
    pointer-events: auto;
    border-radius: 50%;
}

input[type="range"]::-moz-range-thumb {
    -webkit-appearance: none;
    height: 1.7em;
    width: 1.7em;
    cursor: pointer;
    border-radius: 50%;
    background-color: #3264fe;
    pointer-events: auto;
}

input[type="range"]::-ms-thumb {
    appearance: none;
    height: 1.7em;
    width: 1.7em;
    cursor: pointer;
    border-radius: 50%;
    background-color: #3264fe;
    pointer-events: auto;
}

input[type="range"]:active::-webkit-slider-thumb {
    background-color: #ffffff;
    border: 3px solid #3264fe;
}

.values {
    background-color: #3264fe;
    width: 50%;
    position: relative;
    margin: auto;
    border-radius: 5px;
    text-align: center;
    color: #ffffff;
}

    .values:before {
        content: "";
        position: absolute;
        height: 0;
        width: 0;
        border-top: 15px solid #3264fe;
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        margin: auto;
        bottom: -14px;
        left: 0;
        right: 0;
    }
